## thunderbird 16.0.1+build1

=== debian/changelog ===
thunderbird (16.0.1+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (THUNDERBIRD_16_0_1_BUILD1)
    - see LP: #1065292 for USN information

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 10 Oct 2012 23:45:15 +0100

thunderbird (16.0+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (THUNDERBIRD_16_0_BUILD1)
    - see LP: #1062587 for USN information

  * Update globalmenu-extension to 3.5.4
    - Fix LP: #1045196 - "Messages->Move To" menu is empty
    - Fix LP: #1051152 - Crash in nsIContent::SetAttr
    - Improve handling of radio items, and work correctly for radio items
      without a name
    - Stop causing nested DOM mutations. There is a big warning about doing
      this in nsIMutationObserver.h
    - Delay processing of DOM mutations during code sections when we are
      dispatching events. This should prevent a recurrence of
      reentrancy-triggered crashes such as LP: #1025011, LP: #1035305 and
      LP: #1051152, which have been exposed by updates of third-party addons
      recently and caused because our view of the menu changes during
      event delivery
    - Fix crash in uGlobalMenuDocListener::HandleMutations
  * Fix for bmo: #795395
    - add debian/patches/fix-for-bmo795395.patch
    - update debian/patches/series
  * Drop compare-locales from the packaging, and just check out the current
    version when we create the tarball
    - update debian/build/mozbuild.mk
    - update debian/build/create-tarball.py
    - remove debian/build/compare-locales
  * Ensure the Apport hook parses the system preferences
    - update debian/apport/source_thunderbird.py.in

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 24 Aug 2012 22:44:09 +0100

thunderbird (15.0.1+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (THUNDERBIRD_15_0_1_BUILD1)
    - see LP: #1049428 for USN information

  * Update globalmenu-extension to 3.4.2
    - Fix LP: #1045196 - "Messages->Move To" menu is empty

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 12 Sep 2012 03:04:00 +0100

thunderbird (15.0+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (THUNDERBIRD_15_0_BUILD1)
    - see LP: #1042165 for USN information

  * Update globalmenu-extension to 3.4.1
    + Fixes for LP: #1025011 - HUD search crashes Firefox when Firebug
      is installed
      - Provide our own binding for menupopup nodes which derives from the
        default binding and makes the "state" property work as if there
        were a frame
      - Make all menu nodes reference counted, and hold a strong ref when
        dispatching events, in case the event results in the removal of menu
        nodes
    + Keep the menu we export in sync with the document tree all of the
      time, rather than only when the menus are on screen. The HUD likes to
      open submenus without opening any of its ancestors, which can result in
      us handling events on menu nodes that are no longer in a document
      if an ancestor responds to a bubbled-up event by removing its
      children
    + Ensure we always null check the result of nsIDocument::GetCurrentDoc
    + When tearing down a menu, make sure that we empty out our DbusmenuMenuitem
      in case the parent reuses that item for another menu. Fixes a memory leak
      and an issue where Firebug menu items are duplicated indefinitely each
      time a menu is opened
    + Fix LP: #775080 - Thunderbird with Firetray/MinimizeToTray -
      Global menu disappears
    + Fix LP: #813775 - Hitting an assertion in dbusmenu
    + Fix LP: #775305 - Use style to determine menuitem visibility
  * Ensure the Apport hook parses the system preferences on Natty
    - update debian/apport/source_thunderbird.py.in
  * Make thunderbird-dbg depend on the correct version of thunderbird
    - update debian/control
  * Separate the package name from the application name. This enables us to
    change the package name without having to modify the application (eg,
    to allow us to provide official branded versions of Thunderbird ESR using
    the package name "thunderbird-esr"). In doing this, also drop the patch we
    had to rename Thunderbird in nightlies, and just use some magic in debian/rules
    instead
    - update debian/apport/source_thunderbird.py.in
    - update debian/build/get-orig-source.mk
    - update debian/control.in
    - update debian/control.langpacks
    - update debian/control.langpacks.unavail
    - remove debian/patches/change-moz-app-name.patch
    - update debian/patches/series
    - update debian/rules
    - update debian/thunderbird.install.in
    - update debian/thunderbird.links.in
    - update debian/thunderbird.lintian-overrides.in
    - update debian/thunderbird.postinst.in
    - update debian/thunderbird.postrm.in
    - update debian/thunderbird.preinst.in
    - update debian/thunderbird.sh.in
  * Move parts of debian/rules that can be shared with Firefox to a
    new, common file (mozbuild.mk)
    - update debian/rules
    - add debian/build/mozbuild.mk
    - add debian/build/mozvars.mk
    - update debian/build/testsuite.mk
  * Make it possible to use the same create-tarball.py for Firefox and
    Thunderbird
    - update debian/build/create-tarball.py
    - update debian/build/get-orig-source.mk
    - add debian/config/tarball.conf
  * Switch to source format 3.0
    - add debian/source/format
    - add debian/source/options to diff-ignore the .mozclient.mk file which
      is created during clean, and to pass "--no-preparation"
    - update debian/build/enable-dist-patches.pl
    - rename debian/patches/series => debian/patches/series.in so the source
      isn't built with patches applied
    - add debian/README.source
  * Goodbye embedded tarball, and our use of tarball.mk!
    - update debian/build/create-tarball.py
    - update debian/build/extract-file.py
    - update debian/build/get-orig-source.mk

